# azure.cognitiveservices.vision.computervision package

## Submodules

- azure.cognitiveservices.vision.computervision.models module
- azure.cognitiveservices.vision.computervision.operations module

## Module contents

class `azure.cognitiveservices.vision.computervision.``ComputerVisionClient`(endpoint, credentials)

  Bases: `azure.cognitiveservices.vision.computervision.operations._computer_vision_client_operations.ComputerVisionClientOperationsMixin`, `msrest.service_client.SDKClient`

  The Computer Vision API provides state-of-the-art algorithms to process images and return information. For example, it can be used to determine if an image contains mature content, or it can be used to find all the faces in an image. It also has other features like estimating dominant and accent colors, categorizing the content of images, and describing an image with complete English sentences. Additionally, it can also intelligently generate images thumbnails for displaying large images effectively.

  Variables: | config (ComputerVisionClientConfiguration) – Configuration for client.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints.
  - credentials (None) – Subscription credentials which uniquely identify client subscription.

class `azure.cognitiveservices.vision.computervision.``ComputerVisionClientConfiguration`(endpoint, credentials)

  Bases: `msrest.configuration.Configuration`

  Configuration for ComputerVisionClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints.
  - credentials (None) – Subscription credentials which uniquely identify client subscription.